%define pkgname pkg-config
%define glib 1.2.10
Name:		pkgconfig
Version:	0.23
Release:	%mkrel 3
Summary:	Pkgconfig helps make building packages easier
Source:		http://pkgconfig.freedesktop.org/releases/%{pkgname}-%version.tar.gz
Patch0:		pkg-config-0.23-biarch.patch
# (fc) 0.19-1mdk add --print-provides/--print-requires (Fedora)
Patch1:		pkgconfig-0.15.0-reqprov.patch
# (gb) 0.19-2mdk 64-bit fixes, though that code is not used, AFAICS
Patch2:		pkg-config-0.19-64bit-fixes.patch
URL:		http://pkg-config.freedesktop.org/
# (fhimpe) Otherwise packages with pc files having
# Requires: pkg-config > X are not installable
Provides:	pkgconfig(pkg-config) = %{version}
License:	GPLv2+
Group:		Development/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
pkgconfig is a program which helps you gather information to make
life easier when you are compiling a program for those programs which support
it.

In fact, it's required to build certain packages.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .biarch
%patch1 -p1 -b .reqprov
cd glib-%glib
%patch2 -p2 -b .64bit-fixes
cd ..

#needed by patch1
autoheader
autoconf

%build
%{?__cputoolize: %{__cputoolize} -c glib-%glib}
%configure2_5x 
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig
%if "%{_lib}" != "lib"
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/pkgconfig
ln -s ../../lib/pkgconfig $RPM_BUILD_ROOT%{_libdir}/pkgconfig/32
%endif

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README ChangeLog
%{_bindir}/pkg-config
%{_libdir}/pkgconfig
%{_datadir}/pkgconfig
%if "%{_lib}" != "lib"
%{_prefix}/lib/pkgconfig
%{_libdir}/pkgconfig/32
%endif
%{_datadir}/aclocal/*
%{_mandir}/man1/*




%changelog
* Wed Jul 30 2008 Frederik Himpe <fhimpe@mandriva.org> 0.23-3mdv2009.0
+ Revision: 255591
- Add Provides: pkgconfig(pkg-config) = %%{version} so that packages i
  with pc file having Requires: pkg-config > X are installable
  http://lists.freedesktop.org/archives/telepathy/2008-July/002062.html

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.23-2mdv2009.0
+ Revision: 224972
- rebuild

* Thu Feb 07 2008 Götz Waschk <waschk@mandriva.org> 0.23-1mdv2008.1
+ Revision: 163393
- new version
- rediff patch 0
- build fix

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Oct 19 2006 Gtz Waschk <waschk@mandriva.org> 0.21-1mdv2007.1
- update and fix patch 0
- New version 0.21

* Sat Apr 01 2006 Helio Castro <helio@mandriva.com> 0.20-2mdk
- Removed --enable-indirect-deps since this leads a undesirable chain of
  dependencies during compilation. New modular xorg suffers heavily on this
  problem.

* Thu Oct 27 2005 David Walluck <walluck@mandriva.org> 0.20-1mdk
- 0.20

* Sat Sep 03 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.19-2mdk
- some 64-bit fixes, but apparently in dead code
- fix broken patch1 regeneration from 0.17.2-1mdk

* Fri Aug 12 2005 Frederic Crozat <fcrozat@mandriva.com> 0.19-1mdk 
- Release 0.19
- Regenerate patch1
- remove make check, doesn't pass upstream
- Patch2 (Fedora): add --print-provides/--print-requires
- Patch3 (Fedora): fix overflow when using gcc4

* Thu Apr 28 2005 Frederic Crozat <fcrozat@mandriva.com> 0.17.2-2mdk 
- Create /usr/share/pkgconfig for arch independant .pc files

* Thu Apr 28 2005 Frederic Crozat <fcrozat@mandriva.com> 0.17.2-1mdk 
- Release 0.17.2
- don't enable inter-library dependency, it might break many apps
- Remove patch0 (merged upstream)
- Regenerate patch1

* Tue Jan 11 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.15.0-5mdk
- biarch pkgconfig support

* Sun Jun 13 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.15.0-4mdk
- small patch to avoid spurious aclocal warning
- spec cleanup

